Subject: stuck modifier keys

From: Jonathan Nieder <[email-masked]>
Date: Fri, 26 Nov 2010 11:47:19 -0600

Package: libx11-6
Version: 2:1.3.3-4
Severity: minor

1. Run xkbwatch.
2. Press and hold:
	right shift
	right control
	fn
	left alt
	left shift
3. Release:
	right shift
	right control
	fn
	left alt
	left shift

I expect no "LEDs" to remain on.  Instead, the first and third from
the right in the first, fourth, and fifth groups of LEDs remain on.

 [ ][ ][ ][ ][ ][#][ ][#]
	[ ][ ][ ][ ][ ][ ][ ][ ] \
	[ ][ ][ ][ ][ ][ ][ ][ ] \
	[ ][ ][ ][ ][ ][#][ ][#] \
	[ ][ ][ ][ ][ ][#][ ][#]

Tapping various modifiers eventually clears the LEDs.

Reproducible with xev so I suppose it is not an Xt bug.  I doubt this
is a libx11 bug, either, but one has to start somewhere.  I don't
think this is a regression, since it's been happening for a while.

Ideas?

Hardware:
	Thinkpad G41.
Keyboard configuration:
	XKBMODEL="thinkpad"
	XKBLAYOUT="us"
	XKBVARIANT="altgr-intl"
	XKBOPTIONS="lv3:ralt_switch,terminate:ctrl_alt_bksp"
X server:
	xserver-xorg-core	2:1.7.7-9
	xserver-xorg-input-evdev 1:2.3.2-6
Kernel:
	Linux 2.6.37-rc3

	CONFIG_RFKILL_INPUT=y
	CONFIG_INPUT=y
	# CONFIG_INPUT_FF_MEMLESS is not set
	# CONFIG_INPUT_POLLDEV is not set
	# CONFIG_INPUT_SPARSEKMAP is not set
	CONFIG_INPUT_MOUSEDEV=y
	# CONFIG_INPUT_MOUSEDEV_PSAUX is not set
	CONFIG_INPUT_MOUSEDEV_SCREEN_X=1024
	CONFIG_INPUT_MOUSEDEV_SCREEN_Y=768
	# CONFIG_INPUT_JOYDEV is not set
	CONFIG_INPUT_EVDEV=m
	# CONFIG_INPUT_EVBUG is not set
	CONFIG_INPUT_KEYBOARD=y
	CONFIG_INPUT_MOUSE=y
	# CONFIG_INPUT_JOYSTICK is not set
	# CONFIG_INPUT_TABLET is not set
	# CONFIG_INPUT_TOUCHSCREEN is not set
	# CONFIG_INPUT_MISC is not set